
	/***************************/
	/* WZ Mini specific code */
	/***************************/
	
const	lab = "MiniLaboratory";
const	factory = "MiniLightFactory";
const	generator = "MiniPowerGenerator";
const	borgfac = "MiniHeavyFactory";
const	vtolfac = "MiniChopperFactory";
const	satlink = "MiniAdvancedLaboratory";
const	vtolpad = "MiniRearmPad";
var	repair = [
	"MiniRepairFacility", 
];
	
function constructPersonality() {
	
	this.MIN_BUILDERS = 2;		// the usual number of trucks that construct base structures
	this.MAX_BUILDERS = 2;		// the maximum number of trucks that construct base structures
	this.MIN_OILERS = 3;		// the usual number of trucks used for oil hunting
	this.MAX_OILERS = 5;		// the maximum number of trucks used for oil hunting
	this.MIN_DEFENDERS = 6;		// the minimum number of tanks before producing more trucks than necessary
	this.DEFENSIVENESS = 5;		// regulates chance of spending money on defensive structures
	this.PEACE_TIME = 5;		// the amount of minutes for free scouting (regrouping disabled, no defenses built)

	this.THIS_AI_MAKES_TANKS = true;
	this.THIS_AI_MAKES_CYBORGS = false;
	this.THIS_AI_MAKES_VTOLS = true;
	
	// HACK: make sure we don't build too many labs, we don't need them
	setStructureLimits("MiniLaboratory",1,me);

	this.researchPathPrimary = [
		"R-MiniMG",
		"R-MiniTrikeBody",
		"R-MiniJeepBody",
		"R-MiniCamperBody",
		"R-MiniMGBunker",
		"R-MiniTractorBody",
		"R-MiniRepairFacility",
		"R-MiniCannonTower",
		"R-MiniFlamerTower",
		"R-MiniMGUpgrade",
		"R-MiniIcevanBody",
		"R-MiniFlamerUpgrade",
		"R-MiniLancerPit",
		"R-MiniRocketPit",
		"R-MiniCannonUpgrade",
		"R-MiniHeavyTruckBody",
		"R-MiniRocketUpgrade",
		"R-MiniMGChopperBody",
		"R-MiniRearmPad",
		"R-MiniMortarPit",
		"R-MiniPoliceChopperBody",
	];

	this.researchPathFundamental = [
		"R-MiniMG",
	];

	this.researchPathAT = [];

	this.researchPathAP = [];

	this.researchPathAA = [
		"R-MiniZenithTower"
	];

	this.researchPathAB = [];

	this.defenses = [
		["MiniRocketPit"],
		["MiniLancerPit"],
		["MiniMGBunker"],
	];

	this.artillery = [
		["MiniMortarPit"],
	];

	this.antiair = [
		"MiniZenithTower"
	];

	this.hardpoints = [
		["MiniCannonTower"],
		["MiniFlamerTower"],
	];
	
	this.fixedTemplates = true;
	this.MAX_TEMPLATES = 5;
	this.template = [
		["MiniMGChopperBody","V-Tol",DROID_WEAPON,"MiniMGVTOL","MiniMGVTOL","MiniMGVTOL"],
		["MiniPoliceChopperBody","V-Tol",DROID_WEAPON,"MiniPodVTOL"],
		["MiniHeavyTruckBody","wheeled01",DROID_WEAPON,"MiniMG","MiniLancer","MiniMRA"],
		["MiniFiretruckBody","wheeled01",DROID_WEAPON,"MiniLancer","MiniMG"],
		["MiniSchoolBusBody","wheeled01",DROID_WEAPON,"MiniCannon","MiniMG"],
		["MiniBuggyBody","wheeled01",DROID_WEAPON,"MiniMRA"],
		["MiniIcevanBody","wheeled01",DROID_WEAPON,"MiniFlamer"],
		["MiniCamperBody","wheeled01",DROID_WEAPON,"MiniCannon"],
		["MiniTractorBody","wheeled01",DROID_WEAPON,"MiniFlamer"],
		["MiniJeepBody","wheeled01",DROID_WEAPON,"MiniMG"],
		["MiniTrikeBody","wheeled01",DROID_WEAPON,"MiniMG"],
	];

}

function buildOrder() {
	var labCount = enumStruct(me, lab).length;
	var factoryCount = enumStruct(me, factory).length;
	var genCount = enumStruct(me, generator).length;
	var derrickCount = enumStruct(me, derrick).length;
	var borgCount = enumStruct(me, borgfac).length;
	var vtolCount = enumStruct(me, vtolfac).length;
	if (genCount < 2 && playerPower(me) < EXTREME_LOW_POWER && isStructureAvailable(generator,me))
		return buildBasicStructure(generator); 
	if (labCount < 1 && isStructureAvailable(lab,me))
		return buildBasicStructure(lab); 
	if (factoryCount < 2 && isStructureAvailable(factory,me))
		return buildBasicStructure(factory); 
	if (borgCount < 1 && isStructureAvailable(borgfac,me))
		return buildBasicStructure(borgfac,0); 
	if (vtolCount < 1 && isStructureAvailable(vtolfac,me))
		return buildBasicStructure(vtolfac,0); 
	if (enumStruct(me, "MiniAdvancedLaboratory").length>0 && labCount>0) {
		setStructureLimits("MiniLaboratory",0,me);
		var list=enumStruct(me,lab);
		recycleStructure(list[0]);
	}
	return false;
}

